
///////////////////////////////////////////////////////////////////////////////
//
//	sdk2_editor.cpp
//

#include "project.h"
#include <commctrl.h>


#ifdef _MSC_VER

#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "shlwapi.lib")
#pragma comment(lib, "compress_library/compress_library.lib")


#endif


int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hInstPrev, LPSTR lpszCmdline, int nCmdShow){

	BOOL bRet;
	MSG msg;
	HACCEL hAccel;

	InitCommonControls();

	Base::Init();
	UI_Base::Init(hInst);
	RomData_Base::Init();
	if (!ProjectManager::Init()) return 0;

	hAccel = LoadAccelerators(hInst, "SDK2ED_ACC");

	ProjectManager project;
	if (!project.create(lpszCmdline, nCmdShow)) return 0;

	while ((bRet = GetMessage(&msg, NULL, 0, 0)) && (bRet != -1)){
		if (TranslateAccelerator(project.get_hWnd(), hAccel, &msg)) continue;
		if (project.translate_dialog_message(&msg)) continue;
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	return msg.wParam;
}









